Bug 170086 - 'recent' flag doesn't work with iptables -- ipt_recent.h missing
'recent' flag doesn't work with iptables -- ipt_recent.h missing
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: glibc-kernheaders (Show other bugs)
rhl9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
DEFER
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 23:29 EDT by Ben Nickell
Modified: 2007-08-30 16:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 16:00:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Nickell 2005-10-06 23:29:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/412.7 (KHTML, like Gecko) Safari/412.5

Description of problem:


Applying iptables firewall rules: iptables-restore v1.2.8: Couldn't load match `recent':/lib/iptables/
libipt_recent.so: cannot open shared object file: No such file or directory

Version-Release number of selected component (if applicable):
glibc-kernheaders-2.4-8.10

How reproducible:
Always

Steps to Reproduce:
1.  add any Iptables rule using the --recent flag. ( such as #-A RH-Lokkit-0-50-INPUT -p tcp --dport 22 
-i eth0 -m state --state NEW -m recent --update --seconds 60 --hitcount 4 -j DROP)
2. start/restart iptables

  

Actual Results:  Iptables won't start with the following error message

Applying iptables firewall rules: iptables-restore v1.2.8: Couldn't load match `recent':/lib/iptables/
libipt_recent.so: cannot open shared object file: No such file or directory

Expected Results:  Iptables loads as expected.

Additional info:

similar/same problem fixed in RHEL3 errata here...
 http://rhn.redhat.com/errata/RHBA-2005-597.html

this is useful for rate limiting ssh brute attacks
http://blog.andrew.net.au/2005/02/17/

related bug
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=155608
Comment 1 Pekka Savola 2005-11-16 08:32:05 EST
This doesn't seem to be important enough to fix just on its own, so mark it DEFER.
Comment 2 Jesse Keating 2007-08-30 16:00:59 EDT
Fedora Legacy project has ended.  These will not be fixed by Fedora Legacy.

Note You need to log in before you can comment on or make changes to this bug.